<?php
define('_IN_JOHNCMS', 1);

require_once('../incfiles/core.php');
require_once('../incfiles/head.php');

if ($user_id) {
    
require_once('head.php');

$bomb = mysql_fetch_assoc(mysql_query("SELECT * FROM `cr_card` WHERE `uid` = ".$user_id." AND `type` = 1 "));
$luc = mysql_fetch_assoc(mysql_query("SELECT * FROM `cr_card` WHERE `uid` = ".$user_id." AND `type` = 2 "));
$knight = mysql_fetch_assoc(mysql_query("SELECT * FROM `cr_card` WHERE `uid` = ".$user_id." AND `type` = 3 "));
$gigant = mysql_fetch_assoc(mysql_query("SELECT * FROM `cr_card` WHERE `uid` = ".$user_id." AND `type` = 4 "));

switch ($act) {
        case 'bomb':
                echo '<div class = "phdr"><center>Улучшение Бомбера</center></div>';
             if($bomb[card] >= $bomb['upgrade'] && $usr['money'] >= $bomb['upgrade_gold']){
                mysql_query("UPDATE `cr_users` SET `skill` = `skill` + ".$bomb['upgrade_gold']." WHERE `uid` = '".$user_id."'");
                mysql_query("UPDATE `cr_users` SET `money` = `money` - ".$bomb['upgrade_gold']." WHERE `uid` = '".$user_id."'");
                mysql_query("UPDATE `cr_card` SET `card` = `card` - ".$bomb['upgrade']." WHERE `id` = '".$bomb['id']." '");
                mysql_query("UPDATE `cr_card` SET `upgrade` = `upgrade` * 2 WHERE `id` = '".$bomb['id']." '");
                mysql_query("UPDATE `cr_card` SET `upgrade_gold` = `upgrade_gold` * 2 WHERE `id` = '".$bomb['id']." '");
                mysql_query("UPDATE `cr_card` SET `level` = `level` + 1 WHERE `id` = '".$bomb['id']." '");
                echo '<div class = "menu"><center>Вы успешно улучшили карту бомбера.</center></div>';
             } elseif ($bomb['level'] = 12) {
                echo '<div class = "menu">У вас Максимальный уровень карты</div>';
             } else {
                 echo '<div class = "menu">У вас недостаточно карт или золота для улучшения</div>';
             }
                echo '<div class = "menu"><a href="/cr/">На главную игры</a></div>';
        break;
        
        case 'luc':
                echo '<div class = "phdr"><center>Улучшение Лучницы</center></div>';
             if($luc[card] >= $luc['upgrade'] && $usr['money'] >= $luc['upgrade_gold']){
                mysql_query("UPDATE `cr_users` SET `skill` = `skill` + ".$luc['upgrade_gold']." WHERE `uid` = '".$user_id."'");
                mysql_query("UPDATE `cr_users` SET `money` = `money` - ".$luc['upgrade_gold']." WHERE `uid` = '".$user_id."'");
                mysql_query("UPDATE `cr_card` SET `card` = `card` - ".$luc['upgrade']." WHERE `id` = '".$luc['id']." '");
                mysql_query("UPDATE `cr_card` SET `upgrade` = `upgrade` * 2 WHERE `id` = '".$luc['id']." '");
                mysql_query("UPDATE `cr_card` SET `upgrade_gold` = `upgrade_gold` * 2 WHERE `id` = '".$luc['id']." '");
                mysql_query("UPDATE `cr_card` SET `level` = `level` + 1 WHERE `id` = '".$luc['id']." '");
                echo '<div class = "menu"><center>Вы успешно улучшили карту лучницы.</center></div>';
             } elseif ($luc['level'] = 12) {
                echo '<div class = "menu">У вас Максимальный уровень карты</div>';
             } else {
                 echo '<div class = "menu">У вас недостаточно карт или золота для улучшения</div>';
             }
                echo '<div class = "menu"><a href="/cr/">На главную игры</a></div>';
        break;
        
        case 'knight':
                echo '<div class = "phdr"><center>Улучшение Рыцаря</center></div>';
             if($knight[card] >= $knight['upgrade'] && $usr['money'] >= $knight['upgrade_gold']){
                mysql_query("UPDATE `cr_users` SET `skill` = `skill` + ".$knight['upgrade_gold']." WHERE `uid` = '".$user_id."'");
                mysql_query("UPDATE `cr_users` SET `money` = `money` - ".$knight['upgrade_gold']." WHERE `uid` = '".$user_id."'");
                mysql_query("UPDATE `cr_card` SET `card` = `card` - ".$knight['upgrade']." WHERE `id` = '".$knight['id']." '");
                mysql_query("UPDATE `cr_card` SET `upgrade` = `upgrade` * 2 WHERE `id` = '".$knight['id']." '");
                mysql_query("UPDATE `cr_card` SET `upgrade_gold` = `upgrade_gold` * 2 WHERE `id` = '".$knight['id']." ");
                mysql_query("UPDATE `cr_card` SET `level` = `level` + 1 WHERE `id` = '".$knight['id']." '");
                echo '<div class = "menu"><center>Вы успешно улучшили карту рыцаря.</center></div>';
             } elseif ($knight['level'] = 12) {
                echo '<div class = "menu">У вас Максимальный уровень карты</div>';
             } else {
                 echo '<div class = "menu">У вас недостаточно карт или золота для улучшения</div>';
             }
                echo '<div class = "menu"><a href="/cr/">На главную игры</a></div>';
        break;
        
        case 'gigant':
                echo '<div class = "phdr"><center>Улучшение Гиганта</center></div>';
             if($gigant[card] >= $gigant['upgrade'] && $usr['money'] >= $gigant['upgrade_gold']){
                mysql_query("UPDATE `cr_users` SET `skill` = `skill` + ".$gigant['upgrade_gold']." WHERE `uid` = '".$user_id."'");
                mysql_query("UPDATE `cr_users` SET `money` = `money` - ".$gigant['upgrade_gold']." WHERE `uid` = '".$user_id."'");
                mysql_query("UPDATE `cr_card` SET `card` = `card` - ".$gigant['upgrade']." WHERE `id` = '".$gigant['id']." '");
                mysql_query("UPDATE `cr_card` SET `upgrade` = `upgrade` * 2 WHERE `id` = '".$gigant['id']." ");
                mysql_query("UPDATE `cr_card` SET `upgrade_gold` = `upgrade_gold` * 2 WHERE `id` = '".$gigant['id']." '");
                mysql_query("UPDATE `cr_card` SET `level` = `level` + 1 WHERE `id` = '".$gigant['id']." '");
                echo '<div class = "menu"><center>Вы успешно улучшили карту гиганта.</center></div>';
             } elseif ($gigant['level'] = 10) {
                echo '<div class = "menu">У вас Максимальный уровень карты</div>';
             } else {
                 echo '<div class = "menu">У вас недостаточно карт или золота для улучшения</div>';
             }
                echo '<div class = "menu"><a href="/cr/">На главную игры</a></div>';
        break;
        
        default:
                echo '<div class = "phdr"><center>Улучшение</center></div>';
                echo '<div class = "menu"><a href="/cr/">На главную игры</a></div>';
}
    
     } else {
echo '<div class="phdr">Clash Royale</div>';
echo '<div class="list1">Что бы играть в Clash Royale нужно зарегистрироваться!</div>';
      }
require_once('../incfiles/end.php');
?>